// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package pathfinder

import (
	"github.com/stretchr/testify/assert"
	"reflect"
	"testing"
)

func TestInvalidPathError(t *testing.T) {
	err := newInvalidPathError("test")
	_, ok := err.(InvalidPathError)
	assert.True(t, ok)
}

func TestUnsupportedTypeAtTopOfPathError(t *testing.T) {
	err := newUnsupportedTypeAtTopOfPathError("test", reflect.TypeOf(1))
	_, ok := err.(UnsupportedTypeAtTopOfPathError)
	assert.True(t, ok)
}

func TestUnsupportedTypePathError(t *testing.T) {
	err := newUnsupportedTypePathError("test", reflect.TypeOf(1))
	_, ok := err.(UnsupportedTypePathError)
	assert.True(t, ok)
}

func TestCannotSetError(t *testing.T) {
	err := newCannotSetError("test")
	_, ok := err.(CannotSetError)
	assert.True(t, ok)
}

func TestInvalidTypeForPathError(t *testing.T) {
	err := newInvalidTypeForPathError("test", "test", "test")
	_, ok := err.(InvalidTypeForPathError)
	assert.True(t, ok)
}
